-----------------------------------------------------------------------------
-- Stage 1-6
-----------------------------------------------------------------------------

function PostStage()

    EntGame.EnablePlayerControl(false);
    EntGame.ClearFlag(GF_READYTOSTART);
    EntGame.BindCameraToEntity("IntroCamera"); 
    
    entCamera = Entity.FindName(entRoot, "IntroCamera");   
    Camera.JumpToWaypoint(entCamera, "CamWptAA");   
	Camera.SetSpeed(entCamera, .4, .01);    
    
--    starthippo = EntGame.SpawnAnimalOnPath(AID_HIPPO_M, "BeginPath02", 0, ST_GRAZING, 2,0,0,1);	 

--    b = EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "BeginPath01", 0, ST_GRAZING, 200,0,0,1);
--    Animal.FaceEntity(b, entCamera );
--    EntGame.SpawnAnimalOnPath(AID_HIPPO_M, "BeginPath02",0, ST_GRAZING, 200,0,3,1);	
--    EntGame.SpawnAnimalOnPath(AID_NILECROC_M, "BeginPath03", 0, ST_GRAZING, 200,2,3,1);
--    a = EntGame.SpawnAnimalOnPath(AID_NILECROC_M, "BeginPath03", 0, ST_GRAZING, 200,0,0,1);
--    Animal.EnableFear(a,false);
    
    Sound.Release(smpLeopardRoar);
    
    end;    
    
-----------------------------------------------------------------------------    

function Setup()

    -- turn on the "Game running" menu - may not be needed for this game
    EntGame.PushMenu("MenuGameRunning");

    -- load world
    SetupWorld("Maps\\WorldGreenGrasslands\\GreenGrasslandsCommon.ini", "Maps\\Stage1-6\\Stage1-6.ini","","");
    EntGame.CreatePlayerEntities();

    EntGame.SetGlobalDustColorInitial(1.0, 0.67, .58, .45);
    EntGame.SetGlobalDustColorFinal  (0.2, 0.67, .58, .45);

    EntGame.SetStageTimer(200);
    
    -- load sounds
    smpLeopardRoar = Sound.Load("Sound\\Animals\\LeopardRoar.wav");
        
    EntGame.LoadAnimal(AID_WILDEBEEST_M);
    EntGame.LoadAnimal(AID_WILDEBEEST_F);
    EntGame.LoadAnimal(AID_NILECROC_M);
    EntGame.LoadAnimal(AID_HIPPO_M);
    EntGame.LoadAnimal(AID_IMPALA_M);
    EntGame.LoadAnimal(AID_LEOPARD_M);
    
    -- find intro camera for animals to look at	
	entCamera = Entity.FindName(entRoot, "IntroCamera");
	Camera.JumpToWaypoint(entCamera, "CamWptAA");   
	Camera.SetSpeed(entCamera, .4, .01);
	
    hippo1= EntGame.SpawnAnimalOnPath(AID_HIPPO_M, "BeginPath02", 0, ST_GRAZING, 2,0,0,1);	 
    Animal.FaceEntity(hippo1, entCamera );
    hippo2 =  EntGame.SpawnAnimalOnPath(AID_HIPPO_M, "BeginPath02",0, ST_GRAZING, 200,0,3,1);	
    Animal.FaceEntity(hippo2, entCamera);       
    EntGame.SpawnAnimalOnPath(AID_NILECROC_M, "BeginPath03", 0, ST_GRAZING, 200,2,3,1);           
    a = EntGame.SpawnAnimalOnPath(AID_NILECROC_M, "BeginPath03", 0, ST_GRAZING, 200,0,0,1);
    Animal.EnableFear(a,false);

    StartupSequence("Music\\Call The.ogg");
	
	EntGame.DestroyAllAnimals();

    end;


-----------------------------------------------------------------------------

function Part1()

	Camera.JumpToWaypoint(entCamera, "CamWptAA");   
	Camera.SetSpeed(entCamera, .1, .5); 
			 
	hippo1= EntGame.SpawnAnimalOnPath(AID_HIPPO_M, "BeginPath02", 0, ST_GRAZING, 5,0,0,1);	 
	Animal.FaceEntity(hippo1, entCamera );
    Animal.EnableFear(hippo1,false);
		
	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "BeginPath01", 0, ST_GRAZING, 1,0,0,1);	
     
	hippo2 =  EntGame.SpawnAnimalOnPath(AID_HIPPO_M, "BeginPath02",0, ST_GRAZING, 8,0,3,1);	
	Animal.FaceEntity(hippo2, entCamera);
          
	--1st Attacker  
	a = EntGame.SpawnAnimalOnPath(AID_NILECROC_M, "BeginPath03", 0, ST_GRAZING, 5,2,3,1); 
	Animal.FaceEntity(a, entCamera);       
    Animal.SetAutoChargeDist(a, 12);	
	Animal.SetAttackType(a, ATK_STATIC);
	Animal.SetAttackRepeat(a, 1);  
	Animal.SetPostAttackRand(a, false);
	Animal.SetPostAttackDir(a, -90);  
	
	EntGame.SpawnAnimalOnPath(AID_NILECROC_M, "CrocAttack1", 0, ST_GRAZING, 20,-3,-2,1);

	Script.WaitSec(12);

	Camera.SetSpeed(entCamera, 1.5, .5); 
	Camera.StopAtWaypoint(entCamera, "CamWptBB");
	Script.WaitSec(2);

    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "HillPath2",0, ST_WPT_RUN, 10,0,0,1);		
    Script.WaitSec(5);
  
	a = EntGame.SpawnAnimalOnPath(AID_HIPPO_M, "HippoAttack1",0, ST_WPT_RUN, 10,0,1.5,.8);
	Animal.FaceEntity(a, entCamera);			
		
	Script.WaitSec(4);
	
	--PAN LEFT
    Camera.SetPanOffset(entCamera, -15, 1.5);
    
	EntGame.SpawnAnimalOnPath(AID_HIPPO_M, "WaterPath2",0, ST_WPT_RUN, 5,0,0,.1); 
			
	Script.WaitSec(1);

	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "HillPath2",0, ST_WPT_RUN, 10,0,0,1);	
	Script.WaitSec(1);
    a=EntGame.SpawnAnimalOnPath(AID_HIPPO_M, "WaterPath2",0, ST_WPT_RUN, 0,0,3,.1);
    Animal.FaceEntity(a, entCamera);
    Script.WaitSec(1); 
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "HillPath2",0, ST_WPT_RUN, 10,0,0,1);		
    Script.WaitSec(3); 
    EntGame.SpawnAnimalOnPath(AID_HIPPO_M, "WaterPath2",0, ST_WPT_RUN, 10,0,3,.5);	

    Script.WaitSec(1); 
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "HillPath2",0, ST_WPT_RUN, 10,0,0,1);
    Script.WaitSec(1); 
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_F, "HillPath2",0, ST_WPT_RUN, 20,2,4,1);	
    EntGame.SpawnAnimalOnPath(AID_NILECROC_M, "WaterPath1",0, ST_WPT_RUN, 0,0,1,1);	

    Script.WaitSec(8); 
    
    --PAN RIGHT
    Camera.SetPanOffset(entCamera, 20, 3);
    
    Camera.SetSpeed(entCamera, 2.5, .5);
    Script.WaitSec(1); 
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "HillPath3",0, ST_WPT_RUN, 10,0,0,1);	
    Script.WaitSec(1); 
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "HillPath3",0, ST_WPT_RUN, 10,4,0,1);
    Script.WaitSec(2); 
       
    --Spawn a leopard chasing 2 wildebeests
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "HillPath3",0, ST_WPT_RUN, 10,0,0,.16);
    Script.WaitSec(4); 
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "HillPath1",0, ST_WPT_RUN, 10,2,1,1);
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_F, "HillPath1",0, ST_WPT_RUN, 10,0,0,1);
          
    --Spawn 3 wildebeests to distract player from the cave		
    Camera.StopAtWaypoint(entCamera, "CamWptEE");
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "HillPath1",1, ST_WPT_RUN, 10,0,0,1);
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "HillPath1",1, ST_WPT_RUN, 10,2,2,1);
    Script.WaitSec(1);
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "HillPath1",1, ST_WPT_RUN, 10,-2,-2,1);	
    
    Script.WaitSec(3);
    
    --PAN LEFT
    Camera.SetPanOffset(entCamera, -10, 2);
    	 
    Script.WaitSec(6);
		
    a = EntGame.SpawnAnimalOnPath(AID_LEOPARD_M, "CavePath1",0, ST_WPT_RUN, 10,0,0,.9);
	Animal.FaceEntity(a, entCamera );
	Animal.SetAttackType(a, ATK_STATIC);
	Animal.SetAttackRepeat(a, 1);	
	Animal.SetAutoChargeDist(a, 15.0);
	Animal.SetPostAttackRand(a, false);
	Animal.SetPostAttackDir(a, -90);
    Animal.SetCoinMode (a, CM_SPAWNREL);
    
    Sound.Play(smpLeopardRoar, 1, DS2_VOLMAX, DS2_RIGHT);

	Script.WaitSec(1);
				
    --Pan quickly to the right and up (into the sun)
    Camera.SetSpeed(entCamera, 0, .5);
    Camera.SetPanOffset(entCamera, 75, .5);
    Camera.SetTiltOffset(entCamera, 8, .5);
       
    RL=  EntGame.SpawnAnimalOnPath(AID_LEOPARD_M, "CavePath1",0, ST_GRAZING, 30,-3,-3.5,.01);		
    Animal.SetElvOffset(RL,6.3);
    Animal.FaceEntity(RL, entCamera );
    Animal.EnableFear(RL,false);
    Animal.SetCoinMode (RL, CM_SPAWNREL);
         
    --Start spawning cave leopards
    Script.WaitSec(2); 

	a =  EntGame.SpawnAnimalOnPath(AID_LEOPARD_M, "CavePath2",0, ST_WPT_RUN, 5,0,0,1);
	Animal.FaceEntity(a, entCamera );	
	
	Script.WaitSec(3); 
	
    a =  EntGame.SpawnAnimalOnPath(AID_LEOPARD_M, "CavePath2",0, ST_WPT_RUN, 5,0,0,1);
	Animal.FaceEntity(a, entCamera );
	Animal.SetAttackType(a, ATK_STATIC);
	Animal.SetAttackRepeat(a, 1);
	Animal.SetAutoChargeDist(a, 15.0);
	Animal.SetPostAttackRand(a, false);
	Animal.SetPostAttackDir(a, 90);
	
    Script.WaitSec(3); 
          
    a =  EntGame.SpawnAnimalOnPath(AID_LEOPARD_M, "CavePath1",0, ST_WPT_RUN, 5,1,0,1);
	Animal.FaceEntity(a, entCamera );
	
    Script.WaitSec(4);
     				 
    a =  EntGame.SpawnAnimalOnPath(AID_LEOPARD_M, "CavePath2",0, ST_WPT_RUN, 5,0,0,1);
	Animal.FaceEntity(a, entCamera );
		 		
    a =  EntGame.SpawnAnimalOnPath(AID_LEOPARD_M, "CavePath1",0, ST_WPT_RUN, 5,0,0,.5);
	Animal.FaceEntity(a, entCamera );
	Animal.SetAttackType(a, ATK_STATIC);
	Animal.SetAttackRepeat(a, 1);		
	Animal.SetAutoChargeDist(a, 15.0);
	Animal.SetPostAttackRand(a, false);
	Animal.SetPostAttackDir(a, 90);
         
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "HillPath1", 0, ST_WPT_RUN, 5, 5, 0, 1) 
    Script.WaitSec(6); 	
    Camera.SetPanOffset(entCamera, 10, 2.5);
    Camera.SetTiltOffset(entCamera, 0, 2.5);
    Camera.SetSpeed(entCamera, 2.50, .5);
        
    --Spawn a herd of wildebeests charging up the hill
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "HillPath1", 0, ST_WPT_RUN, 10, 2, 0, .5) 
    Script.WaitSec(2); 	
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "HillPath1", 0, ST_WPT_RUN, 10, -1, 0, 1) 
    Script.WaitSec(2); 	
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_F, "HillPath1", 0, ST_WPT_RUN, 10, -4, 0, .5) 
    Script.WaitSec(4); 	
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "HillPath1", 0, ST_WPT_RUN, 10, -1, 0, 1) 
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_F, "HillPath1", 0, ST_WPT_RUN, 10, 5, 0, .5) 
    a = EntGame.SpawnAnimal2(AID_HIPPO_M, "WaterHolePath3", 0, ST_GRAZING, 103);
    Animal.EnableFear(a,false);
    Script.WaitSec(2); 	
    Camera.SetSpeed(entCamera, 3, .5);
    Camera.StopAtWaypoint(entCamera, "CamWptHH");
        
    --Spawn some critters near the watering hole
    a = EntGame.SpawnAnimal2(AID_HIPPO_M, "WaterHolePath1", 0, ST_GRAZING, 103);
    Animal.EnableFear(a,false);		   
    a = EntGame.SpawnAnimal2(AID_HIPPO_M, "WaterHolePath2", 0, ST_GRAZING, 103);
    Animal.EnableFear(a,false);		   

    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "ValleyPath1", 0, ST_WPT_RUN, 10, -4, 0, .5) 
    Camera.StopAtWaypoint(entCamera, "CamWptHH");

    Script.WaitSec(7); 	

	EntGame.SpawnAnimalOnPath(AID_LEOPARD_M, "ValleyPath2", 0, ST_WPT_RUN, 10, 1, 0, .7)
    Camera.SetSpeed(entCamera, 3.3, .5);
    EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "DeepValleyPath1", 0, ST_WPT_RUN, 20, 0, 0,  1) 
    Script.WaitSec(2); 	
    EntGame.SpawnAnimalOnPath(AID_IMPALA_M, "DeepValleyPath1", 0, ST_WPT_RUN, 10, 1, 0, .8) 

    Script.WaitSec(3);

	EntGame.SpawnAnimalOnPath(AID_LEOPARD_M, "StampedePath1",0, ST_WPT_RUN, 10,0,0,1.9);
	
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "DeepValleyPath2",0, ST_WPT_RUN, 10,0,0,1.2);
    Script.WaitSec(4);
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "DeepValleyPath2",0, ST_WPT_RUN, 10,0,0,1.5);
    Script.WaitSec(3);

    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "DeepValleyPath2",0, ST_WPT_RUN, 10,2,2,1);
         
    end;
    
-----------------------------------------------------------------------------

function Part2()

    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "DeepValleyPath2",0, ST_WPT_RUN, 10,2,2,1);
        
    Script.WaitSec(1);
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "DeepValleyPath3",0, ST_WPT_RUN, 20,0,2,.8);
    Script.WaitSec(1);
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "DeepValleyPath4",0, ST_WPT_RUN, 10,2,2,1);
         
    Script.WaitSec(3);
         
	a = EntGame.SpawnAnimalOnPath(AID_LEOPARD_M, "StampedePath1",0, ST_WPT_RUN, 10,0,0,1.9);
	Animal.SetAutoChargeDist(a, 26.0);
	Animal.SetAttackType(a, ATK_STRAFE);   
	Animal.SetStrafeAttackDist(a, 5.5);
	Animal.SetPostAttackTimer(a, 0);
		
	--PAN RIGHT
    Camera.SetPanOffset(entCamera, 15, 1.5);
    
    Camera.SetSpeed(entCamera, 0, .5);
    
	EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "DeepValleyPath3",0, ST_WPT_RUN, 50,3,2,.8);
         
    Script.WaitSec(2);
         
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "DeepValleyPath4",0, ST_WPT_RUN, 20,4,2,.8);
    a = EntGame.SpawnAnimalOnPath(AID_LEOPARD_M, "DeepValleyPath2",0, ST_WPT_RUN, 0,0,0, 1.0);
	Animal.FaceEntity(a, entCamera );
				
    Script.WaitSec(2);
         
    EntGame.SpawnAnimalOnPath(AID_LEOPARD_M, "DeepValleyPath4",0, ST_WPT_RUN, 10,0,2,.4);	
    Script.WaitSec(5);
    
	a =	EntGame.SpawnAnimalOnPath(AID_LEOPARD_M, "StampedePath1",0, ST_WPT_RUN, 10,0,0,1.9);
	Animal.SetAutoChargeDist(a, 26.0);
	Animal.SetAttackType(a, ATK_STATIC);
	Animal.SetAttackRepeat(a, 1);   
	Animal.SetStaticAttackDist(a, 3);
	Animal.SetPostAttackRand(a, false);
	Animal.SetPostAttackDir(a, -90);	 
	
    EntGame.SpawnAnimalOnPath(AID_LEOPARD_M, "DeepValleyPath3",0, ST_WPT_RUN, 30,5,2,.2);
    Script.WaitSec(3);
    EntGame.SpawnAnimalOnPath(AID_LEOPARD_M, "DeepValleyPath3",0, ST_WPT_RUN, 30,5,2,.2);
    Script.WaitSec(3);
    EntGame.SpawnAnimalOnPath(AID_LEOPARD_M, "DeepValleyPath4",0, ST_WPT_RUN, 10,0,2,.2);

    Script.WaitSec(5);
    
    Camera.StopAtWaypoint(entCamera, "CamWptKK");
    
    Script.WaitSec(1);
     
    end;    

-----------------------------------------------------------------------------
function Part3()

	--Camera.JumpToWaypoint(entCamera, "CamWptII");
	--Camera.SetSpeed(entCamera, .01, .05);

    EntGame.SpawnAnimalOnPath(AID_LEOPARD_M, "StampedePath1",0, ST_WPT_RUN, 10,0,0,1.9);
    Script.WaitSec(2);
 
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "StampedePath1",0, ST_WPT_RUN, 20,2,0,2.0);
    Script.WaitSec(2);
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_F, "StampedePath1",0, ST_WPT_RUN, 10,0,0,1.5);
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "StampedePath1",0, ST_WPT_RUN, 1,0,-2,1.4);
    Script.WaitSec(2);

    a =EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "StampedePath2",0, ST_WPT_RUN, 1,4,0,1.7);
    Animal.FaceEntity(a, entCamera );
    Script.WaitSec(1);
    Camera.SetSpeed(entCamera, 1.0, .5);
    
    --PAN CENTER
    Camera.SetPanOffset(entCamera, 0, 1.5);
    
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "StampedePath1",0, ST_WPT_RUN, 10,0,0,1.3);
    Script.WaitSec(2);
		
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_F, "StampedePath1",0, ST_WPT_RUN, 10,4,0,1.5);
    Script.WaitSec(1);

    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "StampedePath1",0, ST_WPT_RUN, 10,3,0,2.4);
    Script.WaitSec(4);
    Camera.SetSpeed(entCamera, 1.70, .5);
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "StampedePath1",0, ST_WPT_RUN, 10,0,0,1.5);
    Script.WaitSec(1);
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "StampedePath2",0, ST_WPT_RUN, 10,0,0,1.7);
    Script.WaitSec(14);		
    
	Camera.StopAtWaypoint(entCamera, "CamWptKK");	
						
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "StampedePath3",0, ST_WPT_RUN, 10,0,0,1.8);
    Script.WaitSec(2);
	a = EntGame.SpawnAnimalOnPath(AID_LEOPARD_M, "ValleyAttack1",0, ST_WPT_RUN, 10,0,0, 1.0);
	Animal.FaceEntity(a, entCamera );	
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "StampedePath3",0, ST_WPT_RUN, 10,3,0,1.2);
    Script.WaitSec(1);	 
    
	Camera.SetSpeed(entCamera, 0.4, .5);
		
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "StampedePath3",0, ST_WPT_RUN, 10,3,0,1.2);
    Script.WaitSec(1);	 
    Script.WaitSec(1);		
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "StampedePath3",0, ST_WPT_RUN, 10,0,0,1.9);
    Script.WaitSec(2);
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "StampedePath3",0, ST_WPT_RUN, 10,3,0,1.2);
    Script.WaitSec(1);	 
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "StampedePath3",0, ST_WPT_RUN, 10,3,0,1.4);
    Script.WaitSec(3);	
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "StampedePath3",0, ST_WPT_RUN, 10,3,0,1.2);
    Script.WaitSec(1);	 
    EntGame.SpawnAnimalOnPath(AID_WILDEBEEST_M, "StampedePath3",0, ST_WPT_RUN, 10,3,0,1.4);
    Script.WaitSec(1);
		
	a = EntGame.SpawnAnimalOnPath(AID_LEOPARD_M, "ValleyAttack2",0, ST_WPT_RUN, 10,0,0, 1.0);
	Animal.FaceEntity(a, entCamera );
	Animal.SetAutoChargeDist(a, 20.0);
	Animal.SetAttackType(a, ATK_STRAFE);   
	Animal.SetStrafeAttackDist(a, 5.5);
	Animal.SetPostAttackTimer(a, 0);		
				
    EntGame.SpawnAnimalOnPath(AID_LEOPARD_M, "StampedePath3",0, ST_WPT_RUN, 10,3,0, 0.0);
    Script.WaitSec(5);
    
	Camera.StopAtWaypoint(entCamera, "CamWptLL");
	Camera.SetSpeed(entCamera, 01.0, .050);
	
	Script.WaitSec(5);
				
	end;
	    
-----------------------------------------------------------------------------
function Part4()

	--Camera.JumpToWaypoint(entCamera, "CamWptLL");
	--Camera.SetSpeed(entCamera, .01, .05);
				
    Camera.SetPanOffset(entCamera, 180, 1.5);
    
    Script.WaitSec(3);
    
	a = EntGame.SpawnAnimalOnPath(AID_HIPPO_M, "WaterEmergePath2",0, ST_WPT_RUN, 10,3,0,.80);
	Animal.FaceEntity(a, entCamera );
	Animal.SetAttackType(a, ATK_STATIC);
	Animal.SetStaticAttackDist(a, 3.7);
	Animal.SetAttackRepeat(a, 1);    
	Animal.SetAutoChargeDist(a, 15.0);
				
	Script.WaitSec(2);
	Camera.SetSpeed(entCamera, 0.010, .050);

	a = EntGame.SpawnAnimalOnPath(AID_NILECROC_M, "WaterEmergePath1",0, ST_WPT_RUN, 10,3,0,1.80);
	Animal.FaceEntity(a, entCamera );
	Script.WaitSec(1);
	a = EntGame.SpawnAnimalOnPath(AID_NILECROC_M, "WaterEmergePath3",0, ST_WPT_RUN, 10,3,0,.80);
	Animal.FaceEntity(a, entCamera );
	Script.WaitSec(3);
	a = EntGame.SpawnAnimalOnPath(AID_HIPPO_M, "WaterEmergePath2",0, ST_WPT_RUN, 10,3,0,.80);
	Animal.FaceEntity(a, entCamera );			
	Script.WaitSec(1);
	a = EntGame.SpawnAnimalOnPath(AID_NILECROC_M, "WaterEmergePath1",0, ST_WPT_RUN, 10,3,0,1.80);
	Animal.FaceEntity(a, entCamera );			
	Script.WaitSec(1);
	a = EntGame.SpawnAnimalOnPath(AID_NILECROC_M, "WaterEmergePath3",0, ST_WPT_RUN, 10,3,0,.80);
	Animal.FaceEntity(a, entCamera );			
	a = EntGame.SpawnAnimalOnPath(AID_HIPPO_M, "WaterEmergePath2",0, ST_WPT_RUN, 10,3,0,.80);
	Animal.FaceEntity(a, entCamera );			
	a = EntGame.SpawnAnimalOnPath(AID_HIPPO_M, "WaterEmergePath1",0, ST_WPT_RUN, 10,3,0,1.80);
	Animal.FaceEntity(a, entCamera );			
	a = EntGame.SpawnAnimalOnPath(AID_NILECROC_M, "WaterEmergePath3",0, ST_WPT_RUN, 10,3,0,.80);
	Animal.FaceEntity(a, entCamera );
    

    end;  
      
-----------------------------------------------------------------------------------------------------------

Setup();   
Part1();   
Part2();   
Part3();   
Part4();   





